debug_node_api.debug_has_hardfork
disabled
Defined in the steem source (52dcfabb); the debug_node plugin is not enabled on public nodes.
Purpose
Сообщает, применён ли заданный хардфорк (hardfork) на отладочном узле (debug node).
Parameters
PARAMETERS
json
{
"hardfork_id": 0
}⚠ Определён в исходном коде steem, но не включён на публичных узлах.
Example
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "debug_node_api.debug_has_hardfork",
"params": {
"hardfork_id": 0
},
"id": 1
}'Response
RESPONSE
json
{
"has_hardfork": false
}